> For the complete documentation index, see [llms.txt](https://docs.bluestorm.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bluestorm.io/checks/app.md).

# App

- [Project security level](https://docs.bluestorm.io/checks/app/app_0001.md)
- [Project security enabled](https://docs.bluestorm.io/checks/app/app_0002.md)
- [Demo users enabled](https://docs.bluestorm.io/checks/app/app_0003.md)
- [Anonymous user access is disabled](https://docs.bluestorm.io/checks/app/app_0004.md)
- [Strong password policy](https://docs.bluestorm.io/checks/app/app_0005.md)
- [Default admin username changed](https://docs.bluestorm.io/checks/app/app_0006.md)
- [Anonymous user role is restricted](https://docs.bluestorm.io/checks/app/app_0007.md)
- [System administrator role is restricted](https://docs.bluestorm.io/checks/app/app_0008.md)
- [Use strong hash algorithm](https://docs.bluestorm.io/checks/app/app_0009.md)
- [Check user role security for consistency](https://docs.bluestorm.io/checks/app/app_0010.md)
- [Restrict users to a single session](https://docs.bluestorm.io/checks/app/app_0011.md)
- [Perform strict page URL checks](https://docs.bluestorm.io/checks/app/app_0012.md)
- [Project naming standards](https://docs.bluestorm.io/checks/app/app_0013.md)
- [Data is classified](https://docs.bluestorm.io/checks/app/app_0014.md)
- [User roles are validated](https://docs.bluestorm.io/checks/app/app_0015.md)
- [Default user role is restricted](https://docs.bluestorm.io/checks/app/app_0016.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bluestorm.io/checks/app.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
